#/bin/sh

CONFIGS="arm-gcc3.4.cs-glibc arm-gcc3.4.cs-glibc-sf arm-gcc3.4.cs-uclibc arm-gcc3.4.cs-uclibc-sf"
STATIC_SBRSH_CONFIGS="arm-gcc3.4.cs-uclibc"

TARGETS="clean all-sums default build-archtools build-devicetools"

[ "x$1" = "xbuild" ] && (

export PATH=/scratchbox/devkits/debian/bin:$PATH
export SBOX_DEFAULT_AUTOCONF=2.50

echo >>build.log "`822-date` BEGIN"

echo >>build.log "`822-date` OLD"
make -C meta/target-kit

for config in $CONFIGS; do
	export CONFIG=meta/gcc-glibc/$config.conf

	echo >>build.log "`822-date` CONFIG $config"

	for target in $TARGETS; do
		echo >>build.log "`822-date` TARGET $target"

		if ! make -C meta/gcc-glibc `echo $target | sed s/default//` ; then
			echo >>build.log "`822-date` FAILED"
			exit 1
		fi
	done
done

for config in $STATIC_SBRSH_CONFIGS; do
	export CONFIG=meta/gcc-glibc/$config.conf

	echo >>build.log "`822-date` CONFIG $config"
	echo >>build.log "`822-date` TARGET build-static-sbrsh"

	if ! make -C meta/gcc-glibc build-static-sbrsh ; then
		echo >>build.log "`822-date` FAILED"
		exit 1
	fi
done

echo >>build.log "`822-date` END"

) 2>&1 | tee build.out

function do_package {
	if ! (cd packaging && ./build_one_toolchain "$1" "scratchbox-toolchain-$2" "$1 compiler for Scratchbox") ; then
		exit 1
	fi

	if ! mv scratchbox-toolchain-${2}_*.deb \
	        packaging/rpms/i386/scratchbox-toolchain-${2}-*.rpm \
	        packaging/tarballs/scratchbox-toolchain-${2}-*.tar.gz .. ; then
		exit 1
	fi
}

[ "x$1" = "xpackage" ] && (

do_package "i686-linux-gcc-3.3_3.3.4-glibc-2.3.2.ds1" "i686-glibc"
do_package "arm-linux-gcc-3.3_3.3.4-glibc-2.3.2.ds1"  "arm-glibc"
do_package "i386-gcc-3.3.2-uclibc-snapshot-20040229"  "i386-uclibc"
do_package "arm-gcc-3.3.2-uclibc-snapshot-20040229"   "arm-uclibc"

for config in $CONFIGS; do
	export CONFIG=meta/gcc-glibc/$config.conf

	compiler_name="`grep ^COMPILER_NAME= $CONFIG | cut -d= -f2-`"
	do_package "$compiler_name" "$config"
done

)

[ "x$1" = "x" ] && (

echo "Usage: $0 [build|package]"
exit 1

)

