#!/bin/sh

# Copyright (C) 2004 Nokia
# Author: lauri.leukkunen@nokia.com
#
# This script can be used to build a custom toolchain and related things

compiler_src_dir=$1
compiler_name=$2
arch=$3
sub_arch=$4
cpu=$5

usage_text="usage: $0 COMPILER_SRC_DIR COMPILER_NAME ARCH SUB_ARCH [CPU]

example:
$0 ../../gcc/glibc/ arm-linux-some-gcc-3.3.4-glibc-2.3.2 arm armv3l arm7
"

if [ -z $arch ]; then
	echo "$usage_text"
	exit 1
fi

if [ -z $sub_arch ]; then
	echo "$usage_text"
	exit 1
fi

(set -e;

make build-toolchain COMPILERGAR=$compiler_src_dir ARCH=$arch SUB_ARCH=$sub_arch CPU=$cpu COMPILERNAME=$compiler_name

NAME=/scratchbox/compilers/$compiler_name/compiler-name
TARGETNAME=`cut -d: -f1 $NAME`
GCCDIR=`cut -d: -f2 $NAME`/bin
GCCPREFIX=`cut -d: -f3 $NAME`-`cut -d: -f4 $NAME`-
CC=$GCCDIR/$GCCPREFIX""gcc
CXX=$GCCDIR/$GCCPREFIX""g++

make build-devicetools TARGETNAME=$TARGETNAME GCCDIR=$GCCDIR GCCPREFIX=$GCCPREFIX CC=$CC CXX=$CXX
make build-libtool TARGETNAME=$TARGETNAME GCCDIR=$GCCDIR GCCPREFIX=$GCCPREFIX CC=$CC CXX=$CXX
)

